# ApiRoleRef Data Model

A roleRef references a role. Each role is identified by its "roleName", the "serviceName" for the service it belongs to, and the "clusterName" in which the service resides. To operate on the role object, use the API with the those fields as parameters.

Properties
name | data type | description
--- | --- | ---
clusterName | string |
serviceName | string |
roleName | string |
healthSummary | ApiHealthSummary | The high-level health status of this role.
roleStatus | ApiRoleState | Readonly. The entity status for this role. Available since API v11.

Example

    {
      "clusterName" : "...",
      "serviceName" : "...",
      "roleName" : "...",
      "healthSummary" : "HISTORY_NOT_AVAILABLE",
      "roleStatus" : "NA"
    }